The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get NMS Users at Sensor

Prev Next

This URL gets the NMS users allocated and created at the Sensor.

Resource URL

GET /sensor/<sensor_id> /nmsusers

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

NMSUserList

Contains the list of NMS users

ObjectList

Details of fields in NMSUserList:

Field Name

Description

Data Type

NMSUserDetails

NMS user details

Object

Details of fields in NMSUserDetails:

Field Name

Description

Data Type

userName

Name of the NMS user

String

userId

Id of the NMS user

Number

createdAt

Resource where the NMS user was created

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/nmsusers

Response

    {
       "nmsUserDetails":
       [
           {
               "userName": "user1",
               "userId": 14,
               "createdAt": "/My Company"
           },
           {
               "userName": "admin123",
               "userId": 9,
               "createdAt": "Sensor"
           }
       ]
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

1124

The Sensor is inactive

3

400

5401

FIPS enabled on Sensor